<?php
/**
 * Plugin Name:       campflow für WordPress
 * Description:       campflow-Formulare als Block auf deiner WordPress-Seite einbinden
 * Requires at least: 6.1
 * Requires PHP:      7.0
 * Version:           0.1.0
 * Author:            campflow GmbH
 * Author URI:        https://campflow.de
 * License:           GPLv2 or later
 * Text Domain:       campflow-wordpress-plugin
 *
 * @package           create-block
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

function campflow_wordpress_plugin_init() {
	register_block_type( __DIR__ . '/build' );
}

function campflow_wordpress_plugin_shortcode($atts, $content = null) {
	if (!isset($atts['slug'])) {
		return 'campflow_form Shortcode: No slug given';
	}

	$slug = wp_kses($atts['slug'], []);
	return '<script src="https://embed.campflow.de" data-slug="'.$slug.'"></script>';
}

add_action('init', 'campflow_wordpress_plugin_init');
add_shortcode('campflow_form', 'campflow_wordpress_plugin_shortcode');
